Subject: [bug#57655] [PATCH 5/5] gnu: telegram-desktop: Update to 4.1.1.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 08 Sep 2022 16:54:05 +0200

Am Donnerstag, dem 08.09.2022 um 08:59 +0800 schrieb Hilton Chain:
> 
> * gnu/packages/telegram.scm (telegram-desktop): Update to 4.1.1.
> [snippet]:
> Don't keep SPMediaKeyTap and statusnotifieritem as they'd got removed
> from
> upstream.
> Keep rlottie, libtgvoip and dispatch.
Why keep rlottie and libtgvoip?  We had packages for those (which fair
enough, you removed, but still...)
> [#:configure-flags]:
> Comment out to default value
> Use API id from official Snap builds.
SGTM.
> Enable DESKTOP_APP_USE_PACKAGED_LAZY, which is suitable for default
> configuration as it'll bundle as many features as possible.
> [#:phases]:
> Copy dispatch, fcitx-qt5, fcitx5-qt, hime, nimf, rlottie and
> libtgvoip.
We should *unbundle* those, not make the bundling worse.
> Remove phase patch-cxx-flags, as that string's not there any more.
> Replace build and install phases with ones that use cmake tools.
Like with webrtc, use ninja if you like it better, but prefer invoking
it as ninja :)
> [native-inputs]
> Add variable external-sources for managing recursive checkouts.
> Bump cmake-helpers to source checkout-ed commit.
> Add ninja and clang-toolchain.
> [inputs]
> Add variable external-sources for managing recursive checkouts.
> Add dispatch, fcitx-qt5, fcitx5-qt, hime, nimf, rlottie, libtgvoip to
> external-sources.
> Bump codegen, lib_base, lib_crl, lib_lottie, lib_qr, lib_rpl,
> lib_spellcheck,
> lib_storage, lib_tl, lib_ui, lib_waylandshells, lib_webrtc,
> lib_webview and
> tgcalls to source checkout-ed commit.
> Add patch for lib_base to support musl compilation.
> Style adjustment.
I didn't mention this in 2/5, but try separating style changes from
code changes.
> [license]
> Update with source tree changes.
> 
> * gnu/packages/patches/lib-base-for-telegram-desktop-support-
> musl.patch: New
> file.
> * gnu/local.mk: Add patch.
> ---
Again, avoid gratuitous vertical spaces, mention patches by name, yadda
yadda.

So I'm aware you're going to do a v2 anyway due to some tabs vs spaces
issue, but I wanted you to know that there are more things to fix :)

Cheers